- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Friends | List of all members
tbb::recursive_mutex::scoped_lock Class Reference

The scoped locking pattern. More...

`#include <recursive_mutex.h>`

Inheritance diagram for tbb::recursive_mutex::scoped_lock:

## Public Member Functions
| scoped_lock ()
| Construct lock that has not acquired a recursive_mutex.
| scoped_lock (recursive_mutex &mutex)
| Acquire lock on given mutex.
| ~scoped_lock ()
| Release lock (if lock is held).
void | acquire (recursive_mutex &mutex)
| Acquire lock on given mutex.
bool | try_acquire (recursive_mutex &mutex)
| Try acquire lock on given recursive_mutex.
void | release ()
| Release lock.

## Friends
class | recursive_mutex

## Detailed Description

The scoped locking pattern.

It helps to avoid the common problem of forgetting to release lock. It also nicely provides the "node" for queuing locks.

The documentation for this class was generated from the following file:

- recursive_mutex.h

Copyright © 2005-2014 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.